/* BdfServer_Html - Copyright (c) 2014-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.jslib;

import java.util.List;
import net.mapeadores.util.text.RelativePath;


/**
 *
 * @author Vincent Calame
 */
public abstract class JsLib {

    public final static String JQUERY = "jquery";
    public final static String CODEMIRROR = "codemirror";
    public final static String LEAFLET = "leaflet";
    public final static String MOUSETRAP = "mousetrap";
    public final static String MERGELY = "mergely";
    public final static String JSRENDER = "jsrender";

    public JsLib() {

    }

    public abstract List<JsLib> getDependencyList();

    public abstract List<RelativePath> getJsScriptList();

    public abstract List<ThirdLib> getThirdLibList();

    public abstract List<JsrenderTemplateFamily> getJsrenderTemplateFamilyList();

}
