/* OdLib_Io - Copyright (c) 2015-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.io;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface PictureProvider {

    public List<Picture> getPictureList();


    public static interface Picture {

        public String getHref();

        public OdSource getOdSource();

    }

}
