/* FichothequeLib_API - Copyright (c) 2006-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.metadata;

import net.fichotheque.MetadataEditor;


/**
 *
 * @author Vincent Calame
 */
public interface FichothequeMetadataEditor extends MetadataEditor {

    /**
     *
     * @throws IllegalArgumentException si authority est incorrect
     */
    public boolean setAuthority(String authority);

    /**
     *
     * @throws IllegalArgumentException si baseName est incorrect
     */
    public boolean setBaseName(String baseName);

}
